#!/usr/bin/env python
from optparse import OptionParser


usage = "%prog [options] --original_chain=chain --new_chain=chain input_file.pdb output_file.pdb"
parser = OptionParser(usage)
parser.add_option("--original_chain",dest="chain",help="chain to use")
parser.add_option("--new_chain",dest="new_chain",help="new chain ID")
(options, args) = parser.parse_args()

pdb_file = open(args[0],'r')
out_file = open(args[1],'w')

for line in pdb_file:
    if line[0:4] != "ATOM":
        continue
    line = list(line)
    if(line[21] == options.chain):
        line[21] = options.new_chain
    line = "".join(line)
    out_file.write(line)
pdb_file.close()
out_file.close()
    
    